# Как внести свой вклад

Внесение своего вклада в этот проект ничем не отличается внесения в других 
open source проекты на GitHub'e, но есть несколько ключевых моментов, о которых
стоит знать и помнить.

Основные типы вклада:
- добавление новых полей к существующим классам;
- функциональное описание уже существующих полей и классов с пометкой *TODO*;
- добавление новых классов;
- уход от optional полей в сущностях путем написания собственных реализаций декодеров модели;
- добавление нового метода в клиента (сигнатура метода и метод самого запроса на API);
- добавление примеров использования в папку [Project](Project);
- добавление новых тестов как для API запросов, так и логики работы всех сущностей API;
- реализация API функций отправки состояний проигрывания и завершения трека (для шотов Алисы);
- добавление поддержки CarPlay.

## Pull Requests

PR'ы должны быть сделаны в *development* ветку. Определённого шаблона оформления
нет. Если это закрывает какое-то issue, то стоит сослаться на него с ключевым
словом "close". Например, "close #123".

## Тесты

На данный момент интеграционные тесты покрывают часть кода, ответственную за штатное поведение модуля (Отправка запроса - проверка ответа, проверка парсинга сущностей). Поэтому сейчас требутеся — тесты на ошибочные вводные данные для запросов API, тесты получения нестандартных ответов от API по запросам (если имеются). А также необходимы тесты API для входа в учетную запись при необходимости ввести капчу

Для развертывания тестовой инфраструктуры необходимо указать в [TestConstants.swift](https://github.com/p0rterB/YM-API/blob/main/Project/YM-Tests/TestConstants.swift) данные аккаунта: **uid** и **token** всех запросов API, кроме входа по логину (почте) и паролю. Для запроса входа в учетную запись также необходимо указать **login** и **pass** для входа в учетную запись.
```swift
public static let login: String = "YOUR_LOGIN_OR_EMAIL"
public static let pass: String = "YOUR_PASS"

public static let token: String = "YOUR_TOKEN"//after login you can paste got token here
public static let uid: Int = 12345678//your account uid
```
**Важно! При добавлении своих тестов в репозиторий не добавляйте *TestConstants.swift* или удаляйте данные вашей тестовой учетной записи из файла**

Тесты доступны в папке [Project/YM-Tests](Project/YM-Tests).
